### Method

# Camel StoreSearch ref_result_index

since: 3.58

#### Declaration [src]

    CamelStoreSearchIndex*
    camel_store_search_ref_result_index (
      CamelStoreSearch* self
    )

#### Description [src]

Gets a `CamelStoreSearchIndex` being used as a search result index, previously set by camel_store_search_set_result_index(), or `NULL`, when none is set.

Free the returned index with camel_store_search_index_unref(), when no longer needed.

Available since: 3.58

#### Return value

Type: `CamelStoreSearchIndex`

A referenced `CamelStoreSearchIndex` used as a result index, or `NULL`, when none is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.